View Issue Details

IDCategoryLast Update
0002362bugs2010-04-24 10:33
ReporteroofusAssigned Tocth103 
Reproducibilityalways 
Status closedResolutionfixed 
PlatformDual 666MHz PIIIOSMandrivaOS Version2007
Product VersionSVN/2.0-ongoing 
Fixed in VersionSVN/2.0-ongoing 
Summary0002362: Reset and reset all, from the panner context menu, appears to do nothing.
DescriptionReset and reset all, from the panner context menu, appears to do nothing.
TagsNo tags attached.

Activities

2009-04-28 09:39

 

2362-pan-reset.patch (1,580 bytes)
diff --git a/gtk2_ardour/panner_ui.cc b/gtk2_ardour/panner_ui.cc
index 636035a..c070a7d 100644
--- a/gtk2_ardour/panner_ui.cc
+++ b/gtk2_ardour/panner_ui.cc
@@ -497,9 +497,9 @@ PannerUI::build_pan_menu (uint32_t which)
 	bypass_menu_item->set_active (_io->panner().bypassed());
 	bypass_menu_item->signal_toggled().connect (mem_fun(*this, &PannerUI::pan_bypass_toggle));
 
-	items.push_back (MenuElem (_("Reset"), mem_fun(*this, &PannerUI::pan_reset)));
+	items.push_back (MenuElem (_("Reset"), bind (mem_fun (*this, &PannerUI::pan_reset), which)));
 	items.push_back (SeparatorElem());
-	items.push_back (MenuElem (_("Reset all")));
+	items.push_back (MenuElem (_("Reset all"), mem_fun (*this, &PannerUI::pan_reset_all)));
 }
 
 void
@@ -518,8 +518,18 @@ PannerUI::pan_bypass_toggle ()
 }
 
 void
-PannerUI::pan_reset ()
+PannerUI::pan_reset (uint32_t which)
 {
+	_io->panner().streampanner(which).set_position (0.5);
+}
+
+void
+PannerUI::pan_reset_all ()
+{
+	uint32_t const N = _io->panner().npanners ();
+	for (uint32_t i = 0; i < N; ++i) {
+		_io->panner().streampanner(i).set_position (0.5);
+	}
 }
 
 void
diff --git a/gtk2_ardour/panner_ui.h b/gtk2_ardour/panner_ui.h
index b6c439f..3fb4632 100644
--- a/gtk2_ardour/panner_ui.h
+++ b/gtk2_ardour/panner_ui.h
@@ -142,7 +142,8 @@ class PannerUI : public Gtk::HBox
 	Gtk::CheckMenuItem* bypass_menu_item;
 	void build_pan_menu (uint32_t which);
 	void pan_mute (uint32_t which);
-	void pan_reset ();
+	void pan_reset (uint32_t);
+	void pan_reset_all ();
 	void pan_bypass_toggle ();
 
 	void pan_automation_state_changed();
2362-pan-reset.patch (1,580 bytes)

cth103

2009-04-28 09:39

administrator   ~0005926

The attached patch should fix this.

cth103

2009-04-30 15:07

administrator   ~0005951

Now fixed by paul in 2.0 and 3.0.

oofus

2009-10-29 23:46

developer   ~0006979

see notes

oofus

2009-10-29 23:47

developer   ~0006980

see notes

Issue History

Date Modified Username Field Change
2008-07-29 11:29 oofus New Issue
2009-04-28 09:39 cth103 File Added: 2362-pan-reset.patch
2009-04-28 09:39 cth103 Note Added: 0005926
2009-04-28 09:39 cth103 Status new => feedback
2009-04-30 15:07 cth103 cost => 0.00
2009-04-30 15:07 cth103 Note Added: 0005951
2009-04-30 15:07 cth103 Status feedback => resolved
2009-04-30 15:07 cth103 Fixed in Version => SVN/2.0-ongoing
2009-04-30 15:07 cth103 Resolution open => fixed
2009-04-30 15:07 cth103 Assigned To => cth103
2009-10-29 23:46 oofus Note Added: 0006979
2009-10-29 23:46 oofus Status resolved => feedback
2009-10-29 23:46 oofus Resolution fixed => reopened
2009-10-29 23:47 oofus Note Added: 0006980
2009-10-29 23:47 oofus Status feedback => closed
2009-10-29 23:47 oofus Resolution reopened => fixed
2010-04-24 10:28 cth103 Category bugs => bugs2
2010-04-24 10:33 cth103 Category bugs2 => bugs